DH_INSTALLSYSUSERS(1)

NAME
dh_installsysusers - install and integrates systemd sysusers files

SYNOPSIS
dh_installsysusers [debhelper options]

DESCRIPTION
dh_installsysusers is a debhelper program that is responsible for installing package maintainer supplied systemd sysusers files.

It also finds the systemd sysusers files installed in a package and generates relevant integration snippets for enabling the users on installation. These snippets are added to the package by dh_installdeb(1).

FILES

debian/package.sysusers
    If the file exist, it will be installed as /usr/lib/sysusers.d/package.conf.

OPTIONS

--name=name
    When this parameter is used, dh_installsysusers looks for and installs files named debian/package.name.sysusers instead of the usual debian/package.sysusers.

    Furthermore, the file is installed as /usr/lib/sysusers.d/name.conf rather than /usr/lib/sysusers.d/package.conf.

NOTES
This command is not idempotent. dh_prep(1) should be called between invocations of this command (with the same arguments). Otherwise, it may cause multiple instances of the same text to be added to maintainer scripts.

SEE ALSO
debhelper(7)